Bug 20118 - NFS mount fails during kickstart
NFS mount fails during kickstart
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-31 13:31 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-21 14:31:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-31 13:31:50 EST
I'm trying to kickstart install a RH 7 x86 system.  The system
is booting off of a floppy, boots linux kernel, starts the
install/kickstart program, requests an IP address via DHCP
(which succeeds), then goes into interactive install mode
prompting to select a language.

If I continue with a manual installation and select NFS install,
fill out the NFS server + dir the same as the kickstart config,
I get an error saying "I Could not mount that directory from the
server".

A tcpdump trace from another system shows the following:
18:44:58.951373 eth0 B arp who-has dhcp5011.procket.com (Broadcast) tell
boxster.procket.com
18:44:59.950511 eth0 B arp who-has dhcp5011.procket.com (Broadcast) tell
boxster.procket.com
18:44:59.976824 eth0 B arp who-has boxster.procket.com tell
dhcp5011.procket.com
18:45:00.229769 eth0 B arp who-has batman.procket.com tell
dhcp5011.procket.com

dhcp5011 is the RH 7 install client, batman is the RH distribution NFS
server, boxster is the DHCP server (Solaris).

The above traffic does not show any attempt by the client to actually
mount the NFS install dir which is very suspicious.

I have no problem using kickstart of RH 6.2 on the same client system.

The client is a whitebox Celeron 500Mhz with Intel EE Pro 10/100
ethernet.
Comment 1 Michael Fulbright 2000-11-03 15:17:24 EST
Passed to QA to reproduce.
Comment 2 Brock Organ 2000-11-06 17:00:41 EST
hmmm ... we've not seen this problem in tests here.  Two quick questions (and
forgive if you've already checked this/done this)

1) are you booting from a bootnet.img (and not a boot.img) ...?
2) could you attach a copy of the kickstart file you are trying to use ...?

Comment 3 Need Real Name 2000-11-06 18:16:32 EST
Yes, we're using bootnet.img direct from the 7.0 CD.

Attached is our kickstart file.  Please let me know if you need me to email you
directly  mime encoded copy of ks.cfg.  

I also tried running mkkickstart and using that file, but had the same exact
problem.

	mike




install

lang en_US

network --bootproto dhcp

cdrom


keyboard us
mouse logimmanps/2


skipx

zerombr yes
clearpart --all

part / --size 1000 --grow
part /boot --size 30
part swap --size 384















timezone US/Pacific

rootpw MustChange

auth --nisdomain procket




lilo --location mbr

%packages


@ Everything


%post
exec > /var/log/install 2>&1

set -x

KSServer=batman
KSPath=/vol/d0/procket/it/install/RedHat
KSDir=/tmp/ksprocket

mkdir $KSDir && mount ${KSServer}:${KSPath} ${KSDir}

IN_SYSTYPE=work



IN_OSVER=6.2


#
# Run the program which does the real work.
#
/bin/sh -x ${KSDir}/bin/kickstartprocket --systype ${IN_SYSTYPE} --osver
${IN_OSVER}
umount $KSDir

Comment 4 Brock Organ 2000-11-07 08:58:56 EST
Mike,

Looking at the above kickstart file, I noticed that you have the line "cdrom" in
there ... this tells kickstart to perform an installation from cdrom (not NFS)
... have you tried replacing that line with a line like this:

nfs --server foobar.test.redhat.com --dir /mnt/7.0/i386

where foobar is the server with your install source, and /mnt/7.0/i386 is the
location of the install source ...
Comment 5 Brock Organ 2000-11-07 09:32:30 EST
additionally, with that line changed above, if you still get the above error,
how did you make your NFS install tree?  Did you copy the contents from BOTH CDs
to your NFS source?  (A lot of folks just copy the first CD, which won't work
w/7)
Comment 6 Brock Organ 2000-11-07 09:34:29 EST
Finally, if you are still getting an error as above:

"I Could not mount that directory from the
               server".

Can you verify that NFS is setup properly (ie use a different machine to mount
the NFS directory you are exporting the install source from, to verify that NFS
is doing what you think it is ...)

hope this helps!
Comment 7 Need Real Name 2000-11-07 13:43:17 EST
Oops.  I sent the wrong ks.cfg file.  The correct one (with nfs --server ...) is
below.

The NFS install tree was created with "cp -a" of both CD1 and CD2 per the
README.

The NFS server and directory are just fine.  I can manually mount that same
server:dir from any
RH 6.2 system.  Further, we use an almost identical ks.cfg for RH 6.2 systems
using the
same server and slightly different directory (.../redhat-6.2) with no problems
at all.




install

lang en_US

network --bootproto dhcp

nfs --server batman --dir /vol/d0/procket/it/install/RedHat/dist/redhat-7.0


keyboard us
mouse logimmanps/2


skipx

zerombr yes
clearpart --all

part / --size 3000 --grow
part /boot --size 30
part swap --size 384















timezone US/Pacific

rootpw MustChange

auth --nisdomain procket




lilo --location mbr

%packages


@ Everything


%post
exec > /var/log/install 2>&1

set -x

KSServer=batman
KSPath=/vol/d0/procket/it/install/RedHat
KSDir=/tmp/ksprocket

mkdir $KSDir && mount ${KSServer}:${KSPath} ${KSDir}

IN_SYSTYPE=work



IN_OSVER=6.2


#
# Run the program which does the real work.
#
/bin/sh -x ${KSDir}/bin/kickstartprocket --systype ${IN_SYSTYPE} --osver
${IN_OSVER}
umount $KSDir

Comment 8 Need Real Name 2000-11-28 18:29:28 EST
Any luck on figuring this one out yet?  Have you been able to reproduce the
problem?
Comment 9 Need Real Name 2000-12-04 12:46:35 EST
I have exactly the same problem that Mike has. I too have a good working
kickstart setup for RH6.2 but NFS mount fails for RH7. FYI my NFS server is
Solaris for both 6.2 and 7.
Comment 10 Need Real Name 2000-12-04 18:35:19 EST
We've done some more testing.  We're able to successfully use HTTP for the
install method instead of NFS.   We also have a "post" install script which
mounts a directory via NFS to read/copy files.  When we use HTTP for the
install, the post script is unable to NFS mount.  The
mount command and error are:
# mount batman:/vol/d0/procket/it/install/RedHat /mnt/ksprocket
mount: fs type nfs not supported by kernel

So it looks as if "nfs" is not available from the bootnet floppy image.  This
would explain why the
installation via NFS fails, but HTTP succeeds.
Comment 11 Brock Organ 2000-12-18 13:58:34 EST
we've not seen this problem locally, but have heard of issues cooperating w/NFS
on Solaris ... we'll try to explore further ...
Comment 12 Brock Organ 2000-12-19 11:44:28 EST
ftp://people.redhat.com/msf/70nfs2/bootnet-nfsv2.img

has a test bootnet image that should work around this problem ... please let us
know if this still fails for you ... thanks! :)
Comment 13 Need Real Name 2000-12-19 20:58:00 EST
We've confirmed that the new bootnet-nfsv2.img image fixes the problem.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.